#include "test.hpp"

#include <godot_cpp/variant/utility_functions.hpp>
#include <godot_cpp/variant/variant.hpp>

#include <godot_cpp/classes/image_texture.hpp>

void Test::start_test() {
	Ref<ImageTexture> tex(memnew(ImageTexture));

	auto format = tex->get_format();
	UtilityFunctions::print(tex->get_reference_count());

	Ref<ImageTexture> tex2 = tex;
	UtilityFunctions::print(tex->get_reference_count());

	tex2.unref();
	UtilityFunctions::print(tex->get_reference_count());

	tex.unref();
}

void Test::_bind_methods() {
ClassDB:
	ClassDB::bind_method(D_METHOD("start_test"), &Test::start_test);
}
